curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v2/cancellation-requestsimport requests
url = "https://api.pgw-sandbox.finventi.com/v2/cancellation-requests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v2/cancellation-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"amount": 123,
"limit": 123,
"offset": 123
},
"result": [
{
"direction": "OUTBOUND",
"id": 123,
"reason": "DUPL",
"sepaMessageId": "<string>",
"status": "CANCELLATION_CREATED",
"type": "CANCELLATION",
"additionalComment": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"method": "SEPA",
"rejectionAdditionalReason": "<string>",
"rejectionReason": "<string>",
"rejectionSepaMessageId": "<string>",
"returnTransactionId": 123,
"transactionId": 123
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Get cancellation requests list
Retrieves cancellation requests with pagination and sorting support.
Query Parameters
A limit on the number of objects returned per page. The default is 10 items.
1 <= x <= 100Specifies the starting position for retrieving items in paginated results. The default is 0 items.
x >= 0A filter by cancellation request transaction ID.
A filter by cancellation request status. Multiple values are supported e.g. status=CANCELLATION_CREATED&status=CANCELLATION_IN_PROGRESS
CANCELLATION_CREATED, CANCELLATION_IN_PROGRESS, CANCELLATION_REFUSED, PAYMENT_RETURNED, PROCESSING_FAILED, REFUSING, RETURNING, CANCELLATION_COMPLETED, CANCELLATION_REJECTED, CANCELLATION_ACCEPTED A filter by cancellation request date time from (ISO-8601 format).
"2023-10-24T12:00:00Z"
A filter by cancellation request date time to (ISO-8601 format).
"2023-10-24T12:00:00Z"
A filter by transaction method. Multiple values are supported e.g. schema=SEPA&schema=INST
SEPA, INST, SDD, SWIFT, T2 A filter by cancellation reason code. Multiple values are supported e.g. reason=DUPL&reason=CUST
DUPL, CUST, FRAD, TECH, AC03, AM09, AGNT, COVR, CURR, CUTA, DS24, FRNA, FRTR, INDM, SYAD, UPAY, NARR, AC01, AC04, AC06, AC13, AG01, AG02, AM01, AM04, AM05, CNOR, DNOR, MD01, MD02, MD07, MS02, MS03, RC01, RR01, RR02, RR03, RR04, SL01, BE05, FF01, DT01, ED05, PY01 A filter by transaction direction.
OUTBOUND, INBOUND A filter by cancellation request type.
CANCELLATION A sort by id, transactionId, datetime fields. Multiple values are accepted. Example values: id,desc; datetime,desc
Show child attributes
Show child attributes